LibreOffice LibreOffice 7.2 SDK C/C++ API Reference

Public Attributes | List of all members
_uno_Interface Struct Reference

The binary C uno interface description. More...

`#include <dispatcher.h>`

## Public Attributes
void(* | acquire )(struct _uno_Interface *pInterface)
| Acquires uno interface. More...
void(* | release )(struct _uno_Interface *pInterface)
| Releases uno interface. More...
uno_DispatchMethod | pDispatcher
| dispatch function More...

## Detailed Description

The binary C uno interface description.

## Member Data Documentation

## ◆ acquire

void(* _uno_Interface::acquire) (struct _uno_Interface *pInterface)

Acquires uno interface.

Parameters

  pInterface | uno interface

## ◆ pDispatcher

uno_DispatchMethod _uno_Interface::pDispatcher

dispatch function

## ◆ release

void(* _uno_Interface::release) (struct _uno_Interface *pInterface)

Releases uno interface.

Parameters

  pInterface | uno interface

The documentation for this struct was generated from the following file:

- uno/dispatcher.h